// стили для хедера
.header {
    background-color: $light-black;
    position: relative;

    .container {
        max-width: 1842px;
    }
}

.header-holder {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

// стили для логотипа
.logo {
    display: flex;
    flex-wrap: wrap;
    color: $white;
    font-weight: 300;
    max-width: 275px;
    font-size: 12px;

    @include media('>=widescreen') {
        font-size: 16px;
    }

    a {
        text-decoration: none;
        color: $white;
    }

    span {
        max-width: 100px;
        display: inline-block;
        vertical-align: middle;
        margin: 11px 0 0 13px;
        opacity: .8;
        
        @include media('>=widescreen') {
            max-width: 186px;
        }
    }
}

.nav {
    @include media('>=widescreen') {
        width: 76%;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
    }
}

// стили для мобильного меню
.nav-drop {
	.nav-active & {
		opacity: 1;
		visibility: visible;
    }

    padding: 30px 0;
    text-align: center;

    @include media('>=widescreen') {
        width: 100%;
        display: flex;
        justify-content: flex-start;
        padding: 0;
    }

	@include media('<widescreen') {
		@include animate(opacity visibility);

		opacity: 0;
		visibility: hidden;
		position: absolute;
		top: 100%;
		left: 0;
        right: 0;
        z-index: 999;
        background-color: $light-black;
    }

	.nav-list {
        @extend %listreset;
        
        @include media ('>=widescreen') {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            position: relative;

            &:before {
                content: '';
                position: absolute;
                top: 50%;
                left: 0;
                height: 25px;
                width: 1px;
                background-color: $gray;
                transform: translateY(-50%);
            }
        }

		li {
            text-align: center;
            margin: 0 0 20px;
            color: $white;

			@include media ('>=widescreen') {
				position: relative;
				display: inline-block;
				vertical-align: top;
                padding: 0 16px;
                margin: 0;
			}

			&.active a {
				color: $white;
            }
		}

		a {
            @include animate(color);

			color: $white;
			text-decoration: none;
            
            &:hover {
                color: $yellow;
            }
        }
        
        &.left-links {
            @include media('>=widescreen') {
                width: 63%;
                padding: 0 0 0 43px;
            }

            i {
                font-size: 10px;
                margin: 0 10px 0 0;
            }

            .tel {
                @include media('>=widescreen') {
                    padding: 0 0 0 38px;
                }

                a {
                    font-size: 16px;

                    @include media('>=widescreen') {
                        font-size: 21px;
                    }
                }
            }
        }

        &.right-links {
            @include media('>=widescreen') {
                width: 37%;
            }

            li {
                @include media ('>=widescreen') {
                    padding: 0 0 0 43px;
                }
            }

            a {
                font-weight: 500;
            }
        }
    }
    
    .btn {
        &.btn-outline {
            color: $white;
        }
    }
}

// стили для кнопки в мобильном меню
.nav-opener {
	display: none;
	position: absolute;
	width: 30px;
	height: 30px;
	right: 10px;
	top: 15px;
	z-index: 9999;

	@include media ('<widescreen') {
		display: block;
	}

	&:before,
	&:after,
	span {
		background: $yellow;
		border-radius: 4px;
		position: absolute;
		top: 16px;
		left:15%;
		right:15%;
		height:2px;
		margin-top:-2px;
		transition: all .2s linear;
	}

	span {
		right: 4px;
	}

	&:before,
	&:after {
		content: '';
		top: 10px;
	}

	&:after {
		top: 22px;
		right: 4px;
	}

	.nav-active & {

		span {
			opacity: 0;
		}

		&:before,
		&:after {
			transform: rotate(45deg);
			top: 50%;
			left: 15%;
			right: 15%;
		}

		&:after {
			transform: rotate(-45deg);
		}
	}
}